### Hierarchy

- OwnPropsOfExpandPanel
  - StatePropsOfExpandPanel
    - ExpandPanelProps

## Index

### Properties

- childLabel
- childPath
- enableMoveDown
- enableMoveUp
- expanded
- index
- path
- renderers
- rootSchema
- schema
- uischema
- uischemas

### Methods

- handleExpansion

## Properties

### childLabel

childLabel: string

- Defined in layouts/ExpandPanelRenderer.tsx:52

### childPath

childPath: string

- Defined in layouts/ExpandPanelRenderer.tsx:53

### enableMoveDown

enableMoveDown: boolean

Overrides OwnPropsOfExpandPanel.enableMoveDown

- Defined in layouts/ExpandPanelRenderer.tsx:56

### enableMoveUp

enableMoveUp: boolean

Overrides OwnPropsOfExpandPanel.enableMoveUp

- Defined in layouts/ExpandPanelRenderer.tsx:55

### expanded

expanded: boolean

Inherited from OwnPropsOfExpandPanel.expanded

- Defined in layouts/ExpandPanelRenderer.tsx:43

### index

index: number

Inherited from OwnPropsOfExpandPanel.index

- Defined in layouts/ExpandPanelRenderer.tsx:39

### path

path: string

Inherited from OwnPropsOfExpandPanel.path

- Defined in layouts/ExpandPanelRenderer.tsx:40

### Optional renderers

renderers: JsonFormsRendererRegistryEntry[]

Inherited from OwnPropsOfExpandPanel.renderers

- Defined in layouts/ExpandPanelRenderer.tsx:44

### rootSchema

rootSchema: JsonSchema

Inherited from OwnPropsOfExpandPanel.rootSchema

- Defined in layouts/ExpandPanelRenderer.tsx:45

### schema

schema: JsonSchema

Inherited from OwnPropsOfExpandPanel.schema

- Defined in layouts/ExpandPanelRenderer.tsx:42

### uischema

uischema: ControlElement

Inherited from OwnPropsOfExpandPanel.uischema

- Defined in layouts/ExpandPanelRenderer.tsx:41

### uischemas

uischemas: object[]

- Defined in layouts/ExpandPanelRenderer.tsx:54

## Methods

### handleExpansion

- handleExpansion(panel: string): function

- Inherited from OwnPropsOfExpandPanel.handleExpansion

  - Defined in layouts/ExpandPanelRenderer.tsx:48

  #### Parameters

  - ##### panel: string

  #### Returns function

  - - (event: any, expanded: boolean): void

    - #### Parameters

      - ##### event: any

      - ##### expanded: boolean

      #### Returns void

Generated using TypeDoc